This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 201462 - strace generates ptrace: umoven: Input/output error
strace generates ptrace: umoven: Input/output error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-05 15:19 EDT by Jeff Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.5.14-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-23 05:09:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Johnson 2006-08-05 15:19:41 EDT
SSIA

Reproducer:
$ sudo strace -o /tmp/xxyz xrpm -qvv --requires --specfile time.spec
ptrace: umoven: Input/output error
ptrace: umoven: Input/output error
ptrace: umoven: Input/output error
/sbin/install-info  
/bin/sh  
/bin/sh  

(athough I've seen with every strace invocation in the last week or so)

SELinux is disabled if that matters.

$ rpm -qf /usr/bin/strace
strace-4.5.14-2.i386.rpm
Comment 1 Jeff Johnson 2006-08-05 15:23:58 EDT
$ rpm -q glibc
glibc-2.4.90-17.i386.rpm
$ uname -a
Linux wellfleet.jbj.org 2.6.17-1.2307_FC6PAE #1 SMP Fri Jun 23 17:10:16 EDT 2006 i686 i686 i386 GNU/
Linux
Comment 2 Roland McGrath 2006-08-22 03:20:05 EDT
Please check the output.  Instead of -o, use > file 2>&1 and then look at the
part of the output near the "umoven" error message.  Does it refer to an
inappropriate syscall like sendto or another socket-related call that is not
what the program is really doing?

If so, this is the same as bug 202620, for which I already have a fix.
Comment 3 Jeff Johnson 2006-08-22 08:50:22 EDT
Here's the requested output:
set_thread_area({entry_number:-1 -> 6, base_addr:0x9c47850, limit:1048575, seg_32bit:1, contents:0, 
read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
set_tid_address(0x9c47898)              = 31449
sendto(163870880, ptrace: umoven: Input/output error
0xc, 163870800, MSG_OOB|MSG_PROXY|MSG_FIN|MSG_SYN|0x20000, ptrace: umoven: Input/output error
{...}, 3220895864) = 0
rt_sigaction(SIGRTMIN, {0x8450134, [], SA_SIGINFO}, NULL, 8) = 0
rt_sigaction(SIGRT_1, {0x8450080, [], SA_RESTART|SA_SIGINFO}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
Comment 4 Roland McGrath 2006-08-23 05:09:44 EDT
This should be fixed in 4.5.14-3.

Note You need to log in before you can comment on or make changes to this bug.